using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("部门权限")]
    public partial class T_FM_ROLE_DEPARTMENT : MesEntityBase
    {
        [DataFieldForeignKey("Nav_Role")]
        [Description("角色ID")]
        public Guid ROLE_ID { get; set; }

        [DataFieldForeignKey("Nav_Department")]
        [Description("部门ID")]
        public Guid DEPARTMENT_ID { get; set; }

        [Description("导航属性：角色")]
        public virtual T_FM_ROLE Nav_Role { get; set; }

        [Description("导航属性：部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}
